Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354588 - Handling of DTLS1_BAD_VER Change Cipher Spec message is broken
Summary: Handling of DTLS1_BAD_VER Change Cipher Spec message is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 16:05 UTC by David Woodhouse
Modified: 2016-08-27 10:43 UTC (History)
1 user (show)

Fixed In Version: openssl-1.0.2h-3.fc24 openssl-1.0.2h-3.fc23 openssl-1.0.2h-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 21:52:52 UTC


Attachments (Terms of Use)

Description David Woodhouse 2016-07-11 16:05:19 UTC
https://github.com/openssl/openssl/commit/b3a62dc03 broke Cisco-compatible DTLS support, because SSL_export_keying_material() fails there so we bail out.

It shouldn't fail. Fixed in https://github.com/openssl/openssl/pull/1296 (specifically https://github.com/openssl/openssl/pull/1296/commits/80fe195bee )

Comment 1 David Woodhouse 2016-07-26 12:26:43 UTC
RT#4631 filed for 1.0.2:
 http://rt.openssl.org/Ticket/Display.html?id=4631

Comment 2 David Woodhouse 2016-08-10 10:16:30 UTC
https://github.com/openssl/openssl/pull/1387 — of which all you *really* need is the first commit 'Fix SSL_export_keying_material() for DTLS1_BAD_VER', which is a cherry-pick of this commit in HEAD/1.1:
https://github.com/openssl/openssl/commit/c8a18468c

Comment 3 Fedora Update System 2016-08-10 16:10:12 UTC
openssl-1.0.2h-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f2cc51db7

Comment 4 Fedora Update System 2016-08-10 16:10:20 UTC
openssl-1.0.2h-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9de3f61786

Comment 5 Fedora Update System 2016-08-10 16:10:25 UTC
openssl-1.0.2h-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2193f6d63c

Comment 6 Fedora Update System 2016-08-10 18:54:25 UTC
openssl-1.0.2h-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9f2cc51db7

Comment 7 Fedora Update System 2016-08-10 19:52:27 UTC
openssl-1.0.2h-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9de3f61786

Comment 8 Fedora Update System 2016-08-11 03:23:32 UTC
openssl-1.0.2h-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2193f6d63c

Comment 9 Fedora Update System 2016-08-11 21:52:50 UTC
openssl-1.0.2h-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-25 16:19:54 UTC
openssl-1.0.2h-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-27 10:43:06 UTC
openssl-1.0.2h-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.